/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package moe.nekojimi.charactermaker;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author jimj316
 */
public class Character
{
	/*private int cognition;
	private int coordination;
	private int intuition;
	private int reflexes;
	private int savvy;
	private int somatics;
	private int willpower;*/

	private int cp = 1000;
	private final Map<String,Integer> aptitudes = new HashMap<>();
	private final Map<String,Integer> skills = new HashMap<>();

	/*
	public int getCognition()
	{
		return cognition;
	}

	public void setCognition(int cognition)
	{
		this.cognition = cognition;
	}

	public int getCoordination()
	{
		return coordination;
	}

	public void setCoordination(int coordination)
	{
		this.coordination = coordination;
	}

	public int getIntuition()
	{
		return intuition;
	}

	public void setIntuition(int intuition)
	{
		this.intuition = intuition;
	}

	public int getReflexes()
	{
		return reflexes;
	}

	public void setReflexes(int reflexes)
	{
		this.reflexes = reflexes;
	}

	public int getSavvy()
	{
		return savvy;
	}

	public void setSavvy(int savvy)
	{
		this.savvy = savvy;
	}

	public int getSomatics()
	{
		return somatics;
	}

	public void setSomatics(int somatics)
	{
		this.somatics = somatics;
	}

	public int getWillpower()
	{
		return willpower;
	}

	public void setWillpower(int willpower)
	{
		this.willpower = willpower;
	} */

	public int getAptitude(String name)
	{
		return aptitudes.getOrDefault(name, 0);
	}

	public void setAptitude(String name, int value)
	{
		int oldValue = getAptitude(name);
		if (oldValue > 0)
		{
			int change = value - oldValue;
			cp -= change/10; // 10CP = 1 aptitude
		}
		aptitudes.put(name, value);
	}

	public int getSkill(String name)
	{
		return skills.getOrDefault(name, 0);
	}

	public void setSkill(String name, int value)
	{
		int oldValue = getSkill(name);
		int change = value - oldValue;
		cp -= change;
		skills.put(name, value);
	}


}
